<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>HTML Attributes & Hyperlinks - Day 04</title>
</head>
<body>
    
    <h2 id="top">HTML ATTRIBUTES</h2>

    <!-- The align attribute changes the alignment of the paragraph element -->
    <p align="center"><em>Modifiers of element behaviors.</em></p>

    <h2>HTML Images</h2>

    <!-- these are called HTML entities used to include special characters into text -->
    <p align="right"><em>An image can be shown using &lt;img&gt; tag along with its 
        <strong>src</strong> attribute.
    </em></p>
    
    <!-- Adds an image using absolute link -->
    <img src="https://place-puppy.com/300x300" alt="puppy-place">
    <p>
        <code>&lt;img src="https://place-puppy.com/300x300"&gt;</code>
    </p>

    <img src="./ZuittCB_logo.jpg" alt="zuitt-logo">
    <p>
        <code>&lt;img src="./ZuittCB_logo.jpg"&gt</code>
    </p>
    
    <p>Valid image extensions are the following:</p>

    <!-- type attribute changes the numbered points of the ol element -->
    <!-- 1, a, A, i, I -->
    <ol type="a" reversed>
        <li>png</li>
        <li>jpg</li>
        <li>gif</li>
        <li>svg</li>
        <li>webp</li>
    </ol>

    <h2>HTML Links</h2>

    <h4>Absolute Links</h4>

    <!-- creates a hyperlink element that redirects to a different page -->
    <a href="http://zuitt.co">I'm a hyperlink</a>

    <h4>Relative Link</h4>

    <p>Go to <a href="./link.html"> page</a></p>

    <p>Go to <a href="#top">top</a></p>

    <a href="https://place-puppy.com/">
        <img src="https://place-puppy.com/300x300">
    </a>

    <a href="" target="_blank">
        <img src="https://d3ojsfl21hfxhc.cloudfront.net/assets/zuitt/zuittlogo.png">
    </a>

    <p>
        Take a look at w3schools attribute references 
        <a href="https://www.w3schools.com/tags/ref_attributes.asp">here</a>
    </p>


</body>
</html>